title1 1976 CENSUS OF CANADA- BST: CT-SHORT FORM- CTNFMA10
title2 SAS commands by S Kumar, UT/DLS 07/2001
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
             00         = 'CANADA'
       ;
VALUE  V6_F   0          = 'PROV CT'
             1          = '100000 & UP'
             2          = '50000-99999'
       ;
VALUE  V7_F   1          = 'CMA'
             2          = 'CA'
             0          = 'NOT CMA OR CA'
       ;
VALUE  V9_F   10         = 'CANADA'
             20         = 'PROV'
             30         = 'CMA'
             40         = 'CA'
             50         = 'PROV CT SUBTOT'
             61         = 'CT IN CMA'
             62         = 'CT IN CA'
             63         = 'PROV CT'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       CMACA   3-5
       CTPCTCOD   6-9
       CTPCTNUM   10-15
       CMACANAM   $CHAR30.
       CMACASIZ   46-46
       CMACASEL   47-47
       SGCCMACA   48-50
       RECTYPE   51-52
       V1   53-61
       V2   62-70
       V3   71-79
       V4   80-88
       V5   89-97
       V6   98-106
       V7   107-115
       V8   116-124
       V9   125-133
       V10   134-142
       V11   143-151
       V12   152-160
       V13   161-169
       V14   170-178
       V15   179-187
      ;
LABEL   PROV = 'Province (region)'
        CMACA = 'CMA/CA'
        CTPCTCOD = 'CT or prov CT code'
        CTPCTNUM = 'CT or prov CT number'
        CMACANAM = 'CMA & CA name'
        CMACASIZ = 'CMA or CA pop size gp'
        CMACASEL = 'CMA or CA selector'
        SGCCMACA = 'Std geog classfcn for CMA & CA'
        RECTYPE = 'Record type'
        V1 = 'Non-fam persons: tot'
        V2 = 'Non-fam persons: related to hhd hd'
        V3 = 'Non-fam persons: not related to hhd hd'
        V4 = 'Non-fam persons: tot non hhd hd'
        V5 = 'Non-fam persons: hhd hd'
        V6 = 'Male non-fam persons: tot'
        V7 = 'Male non-fam persons: related to hhd hd'
        V8 = 'Male non-fam persons: not related to hhd hd'
        V9 = 'Male non-fam persons: tot non hhd hd'
        V10 = 'Male non-fam persons: hhd hd'
        V11 = 'Females non-fam persons: tot'
        V12 = 'Females non-fam persons: related to hhd hd'
        V13 = 'Females non-fam persons: not related to hhd hd'
        V14 = 'Females non-fam persons: tot non hhd hd'
        V15 = 'Females non-fam persons: hhd hd'
      ;
FORMAT  PROV        V1_F.
        CMACASIZ    V6_F.
        CMACASEL    V7_F.
        RECTYPE     V9_F.
;
